Bug 1564894 - Over time, /sys/class/input gets filled with dangling references to USB camera, eventually breaking Trackpoint
Summary: Over time, /sys/class/input gets filled with dangling references to USB camer...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1579567 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-08 17:21 UTC by Adam Goode
Modified: 2019-11-14 07:56 UTC (History)
21 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-21 21:11:52 UTC
Type: Bug


Attachments (Terms of Use)

Description Adam Goode 2018-04-08 17:21:57 UTC
Description of problem:
After several days of using Fedora on my ThinkPad, the TrackPoint stops working in X.

Here is the X log:

Apr 07 12:37:24 lincoln260 /usr/libexec/gdm-x-session[2503]: (II) config/udev: Adding input device Integrated Camera: Integrated C (/dev/input/event262)
Apr 07 12:37:24 lincoln260 /usr/libexec/gdm-x-session[2503]: (**) Integrated Camera: Integrated C: Applying InputClass "evdev keyboard catchall"
Apr 07 12:37:24 lincoln260 /usr/libexec/gdm-x-session[2503]: (**) Integrated Camera: Integrated C: Applying InputClass "libinput keyboard catchall"
Apr 07 12:37:24 lincoln260 /usr/libexec/gdm-x-session[2503]: (**) Integrated Camera: Integrated C: Applying InputClass "system-keyboard"
Apr 07 12:37:24 lincoln260 /usr/libexec/gdm-x-session[2503]: (II) Using input driver 'libinput' for 'Integrated Camera: Integrated C'
Apr 07 12:37:24 lincoln260 /usr/libexec/gdm-x-session[2503]: (II) systemd-logind: got fd for /dev/input/event262 13:262 fd 79 paused 0
Apr 07 12:37:24 lincoln260 /usr/libexec/gdm-x-session[2503]: (**) Integrated Camera: Integrated C: always reports core events
Apr 07 12:37:24 lincoln260 /usr/libexec/gdm-x-session[2503]: (**) Option "Device" "/dev/input/event262"
Apr 07 12:37:24 lincoln260 /usr/libexec/gdm-x-session[2503]: (**) Option "_source" "server/udev"
Apr 07 12:37:24 lincoln260 /usr/libexec/gdm-x-session[2503]: (II) event262 - Integrated Camera: Integrated C: is tagged by udev as: Keyboard
Apr 07 12:37:24 lincoln260 /usr/libexec/gdm-x-session[2503]: (II) event262 - Integrated Camera: Integrated C: device is a keyboard
Apr 07 12:37:24 lincoln260 /usr/libexec/gdm-x-session[2503]: (II) event262 - Integrated Camera: Integrated C: device removed
Apr 07 12:37:24 lincoln260 /usr/libexec/gdm-x-session[2503]: (**) Option "config_info" "udev:/sys/devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input95/event262"
Apr 07 12:37:24 lincoln260 /usr/libexec/gdm-x-session[2503]: (II) XINPUT: Adding extended input device "Integrated Camera: Integrated C" (type: KEYBOARD, id 34)
Apr 07 12:37:24 lincoln260 dbus-daemon[1143]: [system] Rejected send message, 0 matched rules; type="error", sender=":1.2" (uid=0 pid=1195 comm="/usr/lib/systemd/systemd-
Apr 07 12:37:24 lincoln260 /usr/libexec/gdm-x-session[2503]: (**) Option "xkb_layout" "us,pl"
Apr 07 12:37:24 lincoln260 /usr/libexec/gdm-x-session[2503]: (**) Option "xkb_variant" ","
Apr 07 12:37:24 lincoln260 /usr/libexec/gdm-x-session[2503]: (II) event262 - Integrated Camera: Integrated C: is tagged by udev as: Keyboard
Apr 07 12:37:24 lincoln260 /usr/libexec/gdm-x-session[2503]: (II) event262 - Integrated Camera: Integrated C: device is a keyboard
Apr 07 12:37:24 lincoln260 kernel: input: TPPS/2 IBM TrackPoint as /devices/platform/i8042/serio1/serio2/input/input94
Apr 07 12:37:24 lincoln260 /usr/libexec/gdm-x-session[2503]: (II) config/udev: Adding input device TPPS/2 IBM TrackPoint (/dev/input/mouse2)
Apr 07 12:37:24 lincoln260 /usr/libexec/gdm-x-session[2503]: (II) No input driver specified, ignoring this device.
Apr 07 12:37:24 lincoln260 /usr/libexec/gdm-x-session[2503]: (II) This device may have been added with another device file.
Apr 07 12:37:25 lincoln260 /usr/libexec/gdm-x-session[2503]: (II) config/udev: Adding input device TPPS/2 IBM TrackPoint (/dev/input/event313)
Apr 07 12:37:25 lincoln260 /usr/libexec/gdm-x-session[2503]: (**) TPPS/2 IBM TrackPoint: Applying InputClass "evdev pointer catchall"
Apr 07 12:37:25 lincoln260 /usr/libexec/gdm-x-session[2503]: (**) TPPS/2 IBM TrackPoint: Applying InputClass "libinput pointer catchall"
Apr 07 12:37:25 lincoln260 /usr/libexec/gdm-x-session[2503]: (II) Using input driver 'libinput' for 'TPPS/2 IBM TrackPoint'
Apr 07 12:37:25 lincoln260 dbus-daemon[1143]: [system] Rejected send message, 0 matched rules; type="error", sender=":1.2" (uid=0 pid=1195 comm="/usr/lib/systemd/systemd-
Apr 07 12:37:25 lincoln260 /usr/libexec/gdm-x-session[2503]: (II) systemd-logind: got fd for /dev/input/event313 13:313 fd 101 paused 0
Apr 07 12:37:25 lincoln260 /usr/libexec/gdm-x-session[2503]: (**) TPPS/2 IBM TrackPoint: always reports core events
Apr 07 12:37:25 lincoln260 /usr/libexec/gdm-x-session[2503]: (**) Option "Device" "/dev/input/event313"
Apr 07 12:37:25 lincoln260 /usr/libexec/gdm-x-session[2503]: (**) Option "_source" "server/udev"
Apr 07 12:37:25 lincoln260 /usr/libexec/gdm-x-session[2503]: (II) event313 - TPPS/2 IBM TrackPoint: is tagged by udev as: Mouse Pointingstick
Apr 07 12:37:25 lincoln260 /usr/libexec/gdm-x-session[2503]: (II) event313 - TPPS/2 IBM TrackPoint: trackpoint device set to range 31
Apr 07 12:37:25 lincoln260 /usr/libexec/gdm-x-session[2503]: (II) event313 - TPPS/2 IBM TrackPoint: device is a pointer
Apr 07 12:37:25 lincoln260 /usr/libexec/gdm-x-session[2503]: (II) event313 - TPPS/2 IBM TrackPoint: device removed
Apr 07 12:37:25 lincoln260 /usr/libexec/gdm-x-session[2503]: (EE) Too many input devices. Ignoring TPPS/2 IBM TrackPoint
Apr 07 12:37:25 lincoln260 /usr/libexec/gdm-x-session[2503]: (II) UnloadModule: "libinput"
Apr 07 12:37:25 lincoln260 /usr/libexec/gdm-x-session[2503]: (II) systemd-logind: releasing fd for 13:313



What seems to happen is that the USB camera isn't properly deregistering fully from the input subsystem, perhaps during suspend/resume? I cannot easily reproduce it on demand. 




Version-Release number of selected component (if applicable):
kernel-4.15.12-301.fc27.x86_64

How reproducible:

Wait a few days of usage.


Steps to Reproduce:
1. Use ThinkPad for a while with X

Actual results:
Duplicate input devices for camera, TrackPoint stops working.


Expected results:
No duplicates.


Additional info:


Here are all the dangling symlinks:

# symlinks /sys/class/input
dangling: /sys/class/input/event275 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input55/event275
dangling: /sys/class/input/event20 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input21/event20
dangling: /sys/class/input/input51 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input51
dangling: /sys/class/input/event265 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input45/event265
dangling: /sys/class/input/event293 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input73/event293
dangling: /sys/class/input/event311 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input92/event311
dangling: /sys/class/input/input98 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input98
dangling: /sys/class/input/event283 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input63/event283
dangling: /sys/class/input/event29 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input30/event29
dangling: /sys/class/input/event301 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input82/event301
dangling: /sys/class/input/input88 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input88
dangling: /sys/class/input/input21 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input21
dangling: /sys/class/input/event273 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input53/event273
dangling: /sys/class/input/event19 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input20/event19
dangling: /sys/class/input/input78 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input78
dangling: /sys/class/input/event263 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input43/event263
dangling: /sys/class/input/event291 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input71/event291
dangling: /sys/class/input/input68 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input68
dangling: /sys/class/input/input96 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input96
dangling: /sys/class/input/event281 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input61/event281
dangling: /sys/class/input/event27 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input28/event27
dangling: /sys/class/input/input58 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input58
dangling: /sys/class/input/input86 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input86
dangling: /sys/class/input/event271 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input51/event271
dangling: /sys/class/input/input48 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input48
dangling: /sys/class/input/input76 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input76
dangling: /sys/class/input/event318 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input100/event318
dangling: /sys/class/input/event261 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input40/event261
dangling: /sys/class/input/input100 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input100
dangling: /sys/class/input/input38 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input38
dangling: /sys/class/input/input66 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input66
dangling: /sys/class/input/event308 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input89/event308
dangling: /sys/class/input/input28 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input28
dangling: /sys/class/input/event25 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input26/event25
dangling: /sys/class/input/input56 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input56
dangling: /sys/class/input/input84 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input84
dangling: /sys/class/input/input46 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input46
dangling: /sys/class/input/event298 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input79/event298
dangling: /sys/class/input/input74 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input74
dangling: /sys/class/input/event316 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input98/event316
dangling: /sys/class/input/input36 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input36
dangling: /sys/class/input/event288 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input68/event288
dangling: /sys/class/input/input64 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input64
dangling: /sys/class/input/event306 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input87/event306
dangling: /sys/class/input/input92 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input92
dangling: /sys/class/input/input26 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input26
dangling: /sys/class/input/event278 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input58/event278
dangling: /sys/class/input/event23 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input24/event23
dangling: /sys/class/input/input54 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input54
dangling: /sys/class/input/input82 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input82
dangling: /sys/class/input/event268 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input48/event268
dangling: /sys/class/input/input44 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input44
dangling: /sys/class/input/event296 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input77/event296
dangling: /sys/class/input/input72 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input72
dangling: /sys/class/input/event314 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input96/event314
dangling: /sys/class/input/event258 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input37/event258
dangling: /sys/class/input/input34 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input34
dangling: /sys/class/input/event286 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input66/event286
dangling: /sys/class/input/event31 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input34/event31
dangling: /sys/class/input/input62 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input62
dangling: /sys/class/input/event304 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input85/event304
dangling: /sys/class/input/input90 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input90
dangling: /sys/class/input/input24 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input24
dangling: /sys/class/input/event276 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input56/event276
dangling: /sys/class/input/event21 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input22/event21
dangling: /sys/class/input/input52 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input52
dangling: /sys/class/input/input80 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input80
dangling: /sys/class/input/event266 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input46/event266
dangling: /sys/class/input/input42 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input42
dangling: /sys/class/input/event294 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input74/event294
dangling: /sys/class/input/input70 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input70
dangling: /sys/class/input/event312 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input93/event312
dangling: /sys/class/input/event256 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input35/event256
dangling: /sys/class/input/input99 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input99
dangling: /sys/class/input/event284 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input64/event284
dangling: /sys/class/input/input60 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input60
dangling: /sys/class/input/event302 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input83/event302
dangling: /sys/class/input/input89 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input89
dangling: /sys/class/input/input22 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input22
dangling: /sys/class/input/event274 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input54/event274
dangling: /sys/class/input/input50 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input50
dangling: /sys/class/input/input79 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input79
dangling: /sys/class/input/event264 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input44/event264
dangling: /sys/class/input/input40 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input40
dangling: /sys/class/input/event292 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input72/event292
dangling: /sys/class/input/input69 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input69
dangling: /sys/class/input/event310 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input91/event310
dangling: /sys/class/input/input97 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input97
dangling: /sys/class/input/input30 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input30
dangling: /sys/class/input/event282 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input62/event282
dangling: /sys/class/input/event28 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input29/event28
dangling: /sys/class/input/input59 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input59
dangling: /sys/class/input/event300 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input81/event300
dangling: /sys/class/input/input87 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input87
dangling: /sys/class/input/input20 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input20
dangling: /sys/class/input/event272 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input52/event272
dangling: /sys/class/input/event18 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input19/event18
dangling: /sys/class/input/input49 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input49
dangling: /sys/class/input/input77 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input77
dangling: /sys/class/input/event319 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input101/event319
dangling: /sys/class/input/event262 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input95/event262
dangling: /sys/class/input/input101 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input101
dangling: /sys/class/input/input39 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input39
dangling: /sys/class/input/event290 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input70/event290
dangling: /sys/class/input/input67 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input67
dangling: /sys/class/input/event309 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input90/event309
dangling: /sys/class/input/input95 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input95
dangling: /sys/class/input/input29 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input29
dangling: /sys/class/input/event280 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input60/event280
dangling: /sys/class/input/event26 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input27/event26
dangling: /sys/class/input/input57 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input57
dangling: /sys/class/input/input85 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input85
dangling: /sys/class/input/input19 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input19
dangling: /sys/class/input/event270 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input50/event270
dangling: /sys/class/input/input47 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input47
dangling: /sys/class/input/event299 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input80/event299
dangling: /sys/class/input/event317 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input99/event317
dangling: /sys/class/input/event260 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input39/event260
dangling: /sys/class/input/input37 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input37
dangling: /sys/class/input/event289 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input69/event289
dangling: /sys/class/input/input65 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input65
dangling: /sys/class/input/event307 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input88/event307
dangling: /sys/class/input/input93 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input93
dangling: /sys/class/input/input27 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input27
dangling: /sys/class/input/event279 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input59/event279
dangling: /sys/class/input/event24 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input25/event24
dangling: /sys/class/input/input55 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input55
dangling: /sys/class/input/input83 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input83
dangling: /sys/class/input/event269 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input49/event269
dangling: /sys/class/input/input45 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input45
dangling: /sys/class/input/event297 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input78/event297
dangling: /sys/class/input/input73 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input73
dangling: /sys/class/input/event315 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input97/event315
dangling: /sys/class/input/event259 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input38/event259
dangling: /sys/class/input/input35 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input35
dangling: /sys/class/input/event287 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input67/event287
dangling: /sys/class/input/input63 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input63
dangling: /sys/class/input/event305 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input86/event305
dangling: /sys/class/input/input91 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input91
dangling: /sys/class/input/input25 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input25
dangling: /sys/class/input/event277 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input57/event277
dangling: /sys/class/input/event7 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input33/event7
dangling: /sys/class/input/event22 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input23/event22
dangling: /sys/class/input/input53 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input53
dangling: /sys/class/input/input81 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input81
dangling: /sys/class/input/event267 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input47/event267
dangling: /sys/class/input/input43 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input43
dangling: /sys/class/input/event295 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input76/event295
dangling: /sys/class/input/input71 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input71
dangling: /sys/class/input/event257 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input36/event257
dangling: /sys/class/input/input33 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input33
dangling: /sys/class/input/event285 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input65/event285
dangling: /sys/class/input/event30 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input42/event30
dangling: /sys/class/input/input61 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input61
dangling: /sys/class/input/event303 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input84/event303
dangling: /sys/class/input/input23 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input23



Something is quite wrong (as shown by evtest):

# evtest
No device specified, trying to scan all of /dev/input/event*
Available devices:
/dev/input/event0:	Lid Switch
/dev/input/event1:	Sleep Button
/dev/input/event2:	Power Button
/dev/input/event3:	AT Translated Set 2 keyboard
/dev/input/event4:	SynPS/2 Synaptics TouchPad
/dev/input/event5:	Video Bus
/dev/input/event6:	Logitech M570
/dev/input/event7:	Integrated Camera: Integrated C
/dev/input/event8:	ThinkPad Extra Buttons
/dev/input/event9:	HDA Intel PCH Dock Mic
/dev/input/event10:	HDA Intel PCH Mic
/dev/input/event11:	HDA Intel PCH Dock Headphone
/dev/input/event12:	HDA Intel PCH Headphone
/dev/input/event13:	HDA Intel PCH HDMI/DP,pcm=3
/dev/input/event14:	HDA Intel PCH HDMI/DP,pcm=7
/dev/input/event15:	HDA Intel PCH HDMI/DP,pcm=8
/dev/input/event16:	HDA Intel PCH HDMI/DP,pcm=9
/dev/input/event17:	HDA Intel PCH HDMI/DP,pcm=10
/dev/input/event18:	Integrated Camera: Integrated C
/dev/input/event19:	Integrated Camera: Integrated C
/dev/input/event20:	Integrated Camera: Integrated C
/dev/input/event21:	Integrated Camera: Integrated C
/dev/input/event22:	Integrated Camera: Integrated C
/dev/input/event23:	Integrated Camera: Integrated C
/dev/input/event24:	Integrated Camera: Integrated C
/dev/input/event25:	Integrated Camera: Integrated C
/dev/input/event26:	Integrated Camera: Integrated C
/dev/input/event27:	Integrated Camera: Integrated C
/dev/input/event28:	Integrated Camera: Integrated C
/dev/input/event29:	Integrated Camera: Integrated C
/dev/input/event30:	Integrated Camera: Integrated C
/dev/input/event31:	Integrated Camera: Integrated C
/dev/input/event256:	Integrated Camera: Integrated C
/dev/input/event257:	Integrated Camera: Integrated C
/dev/input/event258:	Integrated Camera: Integrated C
/dev/input/event259:	Integrated Camera: Integrated C
/dev/input/event260:	Integrated Camera: Integrated C
/dev/input/event261:	Integrated Camera: Integrated C
/dev/input/event262:	Integrated Camera: Integrated C
/dev/input/event263:	Integrated Camera: Integrated C
/dev/input/event264:	Integrated Camera: Integrated C
/dev/input/event265:	Integrated Camera: Integrated C
/dev/input/event266:	Integrated Camera: Integrated C
/dev/input/event267:	Integrated Camera: Integrated C
/dev/input/event268:	Integrated Camera: Integrated C
/dev/input/event269:	Integrated Camera: Integrated C
/dev/input/event270:	Integrated Camera: Integrated C
/dev/input/event271:	Integrated Camera: Integrated C
/dev/input/event272:	Integrated Camera: Integrated C
/dev/input/event273:	Integrated Camera: Integrated C
/dev/input/event274:	Integrated Camera: Integrated C
/dev/input/event275:	Integrated Camera: Integrated C
/dev/input/event276:	Integrated Camera: Integrated C
/dev/input/event277:	Integrated Camera: Integrated C
/dev/input/event278:	Integrated Camera: Integrated C
/dev/input/event279:	Integrated Camera: Integrated C
/dev/input/event280:	Integrated Camera: Integrated C
/dev/input/event281:	Integrated Camera: Integrated C
/dev/input/event282:	Integrated Camera: Integrated C
/dev/input/event283:	Integrated Camera: Integrated C
/dev/input/event284:	Integrated Camera: Integrated C
/dev/input/event285:	Integrated Camera: Integrated C
/dev/input/event286:	Integrated Camera: Integrated C
/dev/input/event287:	Integrated Camera: Integrated C
/dev/input/event288:	Integrated Camera: Integrated C
/dev/input/event289:	Integrated Camera: Integrated C
/dev/input/event290:	Integrated Camera: Integrated C
/dev/input/event291:	Integrated Camera: Integrated C
/dev/input/event292:	Integrated Camera: Integrated C
/dev/input/event293:	Integrated Camera: Integrated C
/dev/input/event294:	Integrated Camera: Integrated C
/dev/input/event295:	Integrated Camera: Integrated C
/dev/input/event296:	Integrated Camera: Integrated C
/dev/input/event297:	Integrated Camera: Integrated C
/dev/input/event298:	Integrated Camera: Integrated C
/dev/input/event299:	Integrated Camera: Integrated C
/dev/input/event300:	Integrated Camera: Integrated C
/dev/input/event301:	Integrated Camera: Integrated C
/dev/input/event302:	Integrated Camera: Integrated C
/dev/input/event303:	Integrated Camera: Integrated C
/dev/input/event304:	Integrated Camera: Integrated C
/dev/input/event305:	Integrated Camera: Integrated C
/dev/input/event306:	Integrated Camera: Integrated C
/dev/input/event307:	Integrated Camera: Integrated C
/dev/input/event308:	Integrated Camera: Integrated C
/dev/input/event309:	Integrated Camera: Integrated C
/dev/input/event310:	Integrated Camera: Integrated C
/dev/input/event311:	Integrated Camera: Integrated C
/dev/input/event312:	Integrated Camera: Integrated C
/dev/input/event313:	TPPS/2 IBM TrackPoint
/dev/input/event314:	Integrated Camera: Integrated C
/dev/input/event315:	Integrated Camera: Integrated C
/dev/input/event316:	Integrated Camera: Integrated C
/dev/input/event317:	Integrated Camera: Integrated C
/dev/input/event318:	Integrated Camera: Integrated C
/dev/input/event319:	Integrated Camera: Integrated C
/dev/input/event320:	Integrated Camera: Integrated C

Comment 1 Adam Goode 2018-04-08 17:24:19 UTC
I do have tlp installed, possibly it is triggering an autosuspend bug.

Comment 2 Adam Goode 2018-04-09 02:22:09 UTC
I still have this problem after removing tlp and rebooting with kernel 4.15.14-300.fc27.x86_64.

# symlinks /sys/class/input
dangling: /sys/class/input/event19 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input20/event19
dangling: /sys/class/input/input20 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input20
dangling: /sys/class/input/input10 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input10
dangling: /sys/class/input/event9 -> ../../devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input10/event9


After resuming the computer, the latest dmesg contains this:

[ 2821.246788] usb 1-8: New USB device found, idVendor=5986, idProduct=0706
[ 2821.246790] usb 1-8: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[ 2821.246792] usb 1-8: Product: Integrated Camera
[ 2821.246793] usb 1-8: Manufacturer: SunplusIT Inc
[ 2821.250704] uvcvideo: Found UVC 1.00 device Integrated Camera (5986:0706)
[ 2821.258124] uvcvideo 1-8:1.0: Entity type for entity Extension 4 was not initialized!
[ 2821.258126] uvcvideo 1-8:1.0: Entity type for entity Extension 3 was not initialized!
[ 2821.258127] uvcvideo 1-8:1.0: Entity type for entity Processing 2 was not initialized!
[ 2821.258129] uvcvideo 1-8:1.0: Entity type for entity Camera 1 was not initialized!
[ 2821.258206] input: Integrated Camera: Integrated C as /devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input20
[ 2821.368159] IPv6: ADDRCONF(NETDEV_UP): enp0s31f6: link is not ready
[ 2821.369507] IPv6: ADDRCONF(NETDEV_UP): wlp4s0: link is not ready
[ 2821.556134] usb 1-8: USB disconnect, device number 8
[ 2821.621201] IPv6: ADDRCONF(NETDEV_UP): wlp4s0: link is not ready
[ 2821.806006] usb 1-8: new high-speed USB device number 9 using xhci_hcd
[ 2821.891380] IPv6: ADDRCONF(NETDEV_UP): wlp4s0: link is not ready
[ 2821.944258] usb 1-8: New USB device found, idVendor=5986, idProduct=0706
[ 2821.944261] usb 1-8: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[ 2821.944263] usb 1-8: Product: Integrated Camera
[ 2821.944264] usb 1-8: Manufacturer: SunplusIT Inc
[ 2821.949367] uvcvideo: Found UVC 1.00 device Integrated Camera (5986:0706)
[ 2821.956687] IPv6: ADDRCONF(NETDEV_UP): wlp4s0: link is not ready
[ 2821.957793] uvcvideo 1-8:1.0: Entity type for entity Extension 4 was not initialized!
[ 2821.957796] uvcvideo 1-8:1.0: Entity type for entity Extension 3 was not initialized!
[ 2821.957797] uvcvideo 1-8:1.0: Entity type for entity Processing 2 was not initialized!
[ 2821.957799] uvcvideo 1-8:1.0: Entity type for entity Camera 1 was not initialized!
[ 2821.958099] input: Integrated Camera: Integrated C as /devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/input/input21


It looks like the camera is being detected twice.

Comment 3 Cott Lang 2018-05-10 11:50:19 UTC
Seeing this same problem in Fedora 28 with an external USB webcam.

In my case, it appears to be related to switching inputs via a Dell monitor KVM with the web camera attached. I eventually end up with a pile of duplicate input devices and other devices stop working.

Comment 4 Adam Goode 2018-05-26 16:41:22 UTC
There is an upstream patch in the works.
https://patchwork.linuxtv.org/patch/49770/

Comment 5 Jeremy Cline 2018-05-30 18:11:56 UTC
*** Bug 1579567 has been marked as a duplicate of this bug. ***

Comment 6 Jeremy Cline 2018-05-30 18:27:39 UTC
Hi Adam, thanks for the report and the research. I've added that patch to a scratch build in case you'd like to test it: https://koji.fedoraproject.org/koji/taskinfo?taskID=27304107. That way we can provide feedback on the patch and make sure it heads towards the stable tree when it's accepted.

Comment 7 Eugen Dedu 2018-06-08 12:00:32 UTC
I have the same issue: evtest shows numerous lines like this:
/dev/input/event29:	Lenovo EasyCamera: Lenovo EasyC
and the error in Xorg.log:
... (EE) Too many input devices. Ignoring ...

As such, the external USB mouse does not register and I cannot use it.

When I boot the laptop, the external mouse works.  After a few suspend/resumes, it stops registering.

Is there a workaround, such as unregistering manually a device?

Comment 8 Justin M. Forbes 2018-07-23 15:05:10 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 28 kernel bugs.

Fedora 28 has now been rebased to 4.17.7-200.fc28.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.

Comment 9 Adam Goode 2018-07-24 14:02:01 UTC
I see the patch has gone upstream into 4.18-rc1. I have not tested 4.17.7-200.fc28 yet.

Comment 10 Eugen Dedu 2018-09-17 12:12:31 UTC
Just to inform you that 4.18.6 on my debian system fixes this bug for me.

Comment 11 Justin M. Forbes 2019-01-29 16:26:42 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 28 kernel bugs.

Fedora 28 has now been rebased to 4.20.5-100.fc28.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 29, and are still experiencing this issue, please change the version to Fedora 29.

If you experience different issues, please open a new bug report for those.

Comment 12 Justin M. Forbes 2019-02-21 21:11:52 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 3 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Comment 13 Alex Gluck 2019-11-14 07:56:20 UTC
I have bluetooth keyboard and mouse on work and home, i use one laptop and hibernate him when i go home.
When i open lid, my keyboard and mouse automaticaly reconnect to laptop.

I use fedora 31 workstation gnome@xorg

journalctl
....
nov 14 10:32:28 alexgluck-hp-laptop /usr/libexec/gdm-x-session[1694]: (II) config/udev: Adding input device Keyboard K370/K375 Keyboard (/dev/input/event265)
nov 14 10:32:28 alexgluck-hp-laptop /usr/libexec/gdm-x-session[1694]: (**) Keyboard K370/K375 Keyboard: Applying InputClass "evdev keyboard catchall"
nov 14 10:32:28 alexgluck-hp-laptop /usr/libexec/gdm-x-session[1694]: (**) Keyboard K370/K375 Keyboard: Applying InputClass "libinput keyboard catchall"
nov 14 10:32:28 alexgluck-hp-laptop /usr/libexec/gdm-x-session[1694]: (**) Keyboard K370/K375 Keyboard: Applying InputClass "system-keyboard"
nov 14 10:32:28 alexgluck-hp-laptop /usr/libexec/gdm-x-session[1694]: (II) Using input driver 'libinput' for 'Keyboard K370/K375 Keyboard'
nov 14 10:32:28 alexgluck-hp-laptop /usr/libexec/gdm-x-session[1694]: (II) systemd-logind: got fd for /dev/input/event265 13:265 fd 96 paused 0
nov 14 10:32:28 alexgluck-hp-laptop /usr/libexec/gdm-x-session[1694]: (**) Keyboard K370/K375 Keyboard: always reports core events
nov 14 10:32:28 alexgluck-hp-laptop /usr/libexec/gdm-x-session[1694]: (**) Option "Device" "/dev/input/event265"
nov 14 10:32:28 alexgluck-hp-laptop /usr/libexec/gdm-x-session[1694]: (**) Option "_source" "server/udev"
nov 14 10:32:28 alexgluck-hp-laptop /usr/libexec/gdm-x-session[1694]: (II) event265 - Keyboard K370/K375 Keyboard: is tagged by udev as: Keyboard
nov 14 10:32:28 alexgluck-hp-laptop /usr/libexec/gdm-x-session[1694]: (II) event265 - Keyboard K370/K375 Keyboard: device is a keyboard
nov 14 10:32:28 alexgluck-hp-laptop /usr/libexec/gdm-x-session[1694]: (II) event265 - Keyboard K370/K375 Keyboard: device removed
nov 14 10:32:28 alexgluck-hp-laptop /usr/libexec/gdm-x-session[1694]: (EE) Too many input devices. Ignoring Keyboard K370/K375 Keyboard
nov 14 10:32:28 alexgluck-hp-laptop /usr/libexec/gdm-x-session[1694]: (II) UnloadModule: "libinput"
nov 14 10:32:28 alexgluck-hp-laptop /usr/libexec/gdm-x-session[1694]: (II) systemd-logind: releasing fd for 13:265
....


...
[root@alexgluck-hp-laptop ~]# evtest
No device specified, trying to scan all of /dev/input/event*
Available devices:
/dev/input/event0:	Sleep Button
/dev/input/event1:	Lid Switch
/dev/input/event2:	Power Button
/dev/input/event3:	AT Translated Set 2 keyboard
/dev/input/event4:	SynPS/2 Synaptics TouchPad
/dev/input/event5:	Video Bus
/dev/input/event6:	HP Wireless hotkeys
/dev/input/event7:	SYNA3083:00 06CB:8265 Touchpad
/dev/input/event8:	HDA Intel PCH Mic
/dev/input/event9:	HP WMI hotkeys
/dev/input/event10:	HP HD Camera: HP HD Camera
/dev/input/event11:	HDA Intel PCH Headphone
/dev/input/event12:	HDA Intel PCH HDMI/DP,pcm=3
/dev/input/event13:	HDA Intel PCH HDMI/DP,pcm=7
/dev/input/event14:	HDA Intel PCH HDMI/DP,pcm=8
/dev/input/event15:	HDA Intel PCH HDMI/DP,pcm=9
/dev/input/event16:	HDA Intel PCH HDMI/DP,pcm=10
/dev/input/event17:	ST LIS3LV02DL Accelerometer
/dev/input/event18:	Keyboard K370/K375 Keyboard
/dev/input/event19:	Keyboard K370/K375 Consumer Control
/dev/input/event20:	Keyboard K370/K375 System Control
/dev/input/event21:	Keyboard K370/K375 Keyboard
/dev/input/event22:	Keyboard K370/K375 Consumer Control
/dev/input/event23:	Keyboard K370/K375 System Control
/dev/input/event24:	Surface Mobile Mouse
/dev/input/event25:	Surface Mobile Mouse Keyboard
/dev/input/event26:	Surface Mobile Mouse
/dev/input/event27:	Surface Mobile Mouse
/dev/input/event28:	Surface Mobile Mouse
/dev/input/event29:	Keyboard K370/K375 Keyboard
/dev/input/event30:	Keyboard K370/K375 Consumer Control
/dev/input/event31:	Keyboard K370/K375 System Control
/dev/input/event256:	Keyboard K370/K375 Keyboard
/dev/input/event257:	Keyboard K370/K375 Consumer Control
/dev/input/event258:	Keyboard K370/K375 System Control
/dev/input/event259:	Keyboard K370/K375 Keyboard
/dev/input/event260:	Keyboard K370/K375 Consumer Control
/dev/input/event261:	Keyboard K370/K375 System Control
/dev/input/event262:	Keyboard K370/K375 Keyboard
/dev/input/event263:	Keyboard K370/K375 Consumer Control
/dev/input/event264:	Keyboard K370/K375 System Control
/dev/input/event265:	Keyboard K370/K375 Keyboard
/dev/input/event266:	Keyboard K370/K375 Consumer Control
/dev/input/event267:	Keyboard K370/K375 System Control
...


Note You need to log in before you can comment on or make changes to this bug.